﻿@using Xtoman.Domain.WebServices.TradingPlatform.Binance
@model AddBinanceOrderViewModel
@{
    ViewBag.Title = "افزودن سفارش بایننس";
    var symbols = ViewBag.Symbols != null ? (List<BinanceSymbolPrice>)ViewBag.Symbols : null;
}

<form method="post">
    <div class="row m-t-30">
        <div class="col-12">
            @if (symbols != null && symbols.Any())
            {
                var groups = symbols.Where(p => p.Pair.HasValue()).DistinctBy(p => p.Pair.Split('_')[1]).Select(p => p.Pair.Split('_')[1]).ToList();
                <div class="form-group row">
                    <div class="col-md-12">
                        <label for="Symbol">انتخاب جفت ارز</label>
                        <select id="Symbol" name="Symbol" class="form-control">
                            <option>جفت ارز مورد نظر را انتخاب نمایید</option>
                            @foreach (var groupName in groups)
                            {
                                <optgroup label="@groupName">@groupName</optgroup>
                                var groupedItems = symbols.Where(p => p.Pair.HasValue() && p.Pair.Split('_')[1] == groupName).ToList();
                                foreach (var item in groupedItems)
                                {
                                    <option value="@item.Symbol">@item.Symbol</option>
                                }
                            }
                        </select>
                    </div>
                </div>
                <div class="row">
                    <div class="form-group col-3">
                        @Html.LabelFor(p => p.OrderType, new { @class = "control-label" })
                        @Html.EnumDropDownListFor(p => p.OrderType, new { @class = "form-control" })
                    </div>
                    <div class="form-group col-3">
                        @Html.LabelFor(p => p.Side, new { @class = "control-label" })
                        @Html.EnumDropDownListFor(p => p.Side, new { @class = "form-control" })
                    </div>
                    <div class="form-group col-3">
                        @Html.LabelFor(p => p.Price, new { @class = "control-label" })
                        @Html.TextBoxFor(p => p.Price, new { @class = "form-control" })
                    </div>
                    <div class="form-group col-3">
                        @Html.LabelFor(p => p.Quanity, new { @class = "control-label" })
                        @Html.TextBoxFor(p => p.Quanity, new { @class = "form-control" })
                    </div>
                </div>
            }
            <input type="submit" value="ثبت سفارش" class="btn btn-success btn-lg" />
        </div>
    </div>
</form>

@section scripts{
    <script type="text/javascript">
        $('select').select2();
    </script>
}